﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;

namespace Silverlight_ImageLoader
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
            PB = new ProgressBar();
            LayoutRoot.Children.Add(PB);
            PB.Visibility = Visibility.Collapsed;
            PB.SetValue(Grid.RowProperty, 1);
        }

        ProgressBar PB;
        private void Test(object sender, RoutedEventArgs e)
        {
            PB.Maximum = 100;
            PB.Value = 0;
            PB.Visibility = Visibility.Visible;

            List<ImageData> LD = new List<ImageData>();
            LD.Add(new ImageData { TargetURI = new Uri("http://www.geobabble.org/~hnw/neon/withindomainrep2/withindomainrep2.neonIII.clustdist2.medium.png"), TargetImagePointer = new Image() });
            LD.Add(new ImageData { TargetURI = new Uri("http://www.astray.com/static/earth.png"), TargetImagePointer = new Image() });
            ImageLoader IL = new ImageLoader();
            IL.ProgressChanged += new ImageLoader.D_ProgressChanged(IL_ProgressChanged);
            IL.TaskFinished += new ImageLoader.D_TaskAllFinished(IL_TaskFinished);
            IL.LoadImages(LD, LayoutRoot);
        }

        void IL_TaskFinished(ImageLoader Sender, List<Image> DataOutPut)
        {
            PB.Visibility = Visibility.Collapsed;
            foreach (Image I in DataOutPut)
            {
                StackMain.Children.Add(I);
            }
        }

        void IL_ProgressChanged(ImageLoader Sender, double Progress)
        {
            PB.Value = Progress;
        }

        void B_DownloadProgress(object sender, DownloadProgressEventArgs e)
        {
            
        }
    }
}
